## com.google.gwt.event.logical.shared
Class CloseEvent<T>

    java.lang.Object
      com.google.gwt.event.shared.GwtEvent<CloseHandler<T>>
          com.google.gwt.event.logical.shared.CloseEvent<T>

Type Parameters:
  `T` - the type being closed

    public class CloseEvent<T>

extends GwtEvent<CloseHandler<T>>

Represents a close event.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent
`GwtEvent.Type<H>`

Constructor Summary
`protected` | `CloseEvent(T target, boolean autoClosed)` Creates a new close event.

Method Summary
`protected void` | `dispatch(CloseHandler<T> handler)` Should only be called by `HandlerManager`.

`static

`<T> void`

`

`fire(HasCloseHandlers<T> source, T target)`
Fires a close event on all registered handlers in the handler manager.

`static

`<T> void`

`

`fire(HasCloseHandlers<T> source, T target, boolean autoClosed)`
Fires a close event on all registered handlers in the handler manager.

`GwtEvent.Type<CloseHandler<T>>` | `getAssociatedType()` Returns the type used to register this event.
`T` | `getTarget()` Gets the target.
`static GwtEvent.Type<CloseHandler<?>>` | `getType()` Gets the type associated with this event.
`boolean` | `isAutoClosed()` Was the target automatically closed?

Methods inherited from class com.google.gwt.event.shared.GwtEvent
`assertLive, getSource, isLive, kill, revive, toDebugString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CloseEvent

    protected CloseEvent(T target,
                         boolean autoClosed)

  Creates a new close event.

  Parameters:
    `target` - the target
    `autoClosed` - whether it is auto closed

Method Detail

### fire

    public static <T> void fire(HasCloseHandlers<T> source,
                                T target)

  Fires a close event on all registered handlers in the handler manager. If no such handlers exist, this method will do nothing.

  Type Parameters:
    `T` - the target type
  Parameters:
    `source` - the source of the handlers
    `target` - the target

### fire

    public static <T> void fire(HasCloseHandlers<T> source,
                                T target,
                                boolean autoClosed)

  Fires a close event on all registered handlers in the handler manager.

  Type Parameters:
    `T` - the target type
  Parameters:
    `source` - the source of the handlers
    `target` - the target
    `autoClosed` - was the target closed automatically

### getType

    public static GwtEvent.Type<CloseHandler<?>> getType()

  Gets the type associated with this event.

  Returns:
    returns the handler type

### getAssociatedType

    public final GwtEvent.Type<CloseHandler<T>> getAssociatedType()

  Description copied from class: `GwtEvent`
  Returns the type used to register this event. Used by handler manager to dispatch events to the correct handlers.

  Specified by:
    `getAssociatedType` in class `GwtEvent<CloseHandler<T>>`
  Returns:
    the type

### getTarget

    public T getTarget()

  Gets the target.

  Returns:
    the target

### isAutoClosed

    public boolean isAutoClosed()

  Was the target automatically closed?

  Returns:
    auto closed

### dispatch

    protected void dispatch(CloseHandler<T> handler)

  Description copied from class: `GwtEvent`
  Should only be called by `HandlerManager`. In other words, do not use or call.

  Specified by:
    `dispatch` in class `GwtEvent<CloseHandler<T>>`
  Parameters:
    `handler` - handler